# Class LoginServicesException

Namespace
  adas_core.Domain.Exceptions

Assembly
  adas-core.Domain.dll

Represents an exception that is thrown when an error occurs within the login services layer.

    public class LoginServicesException : BusinessException, ISerializable

Inheritance
  object
  Exception
  AggregateException
  BusinessException
  LoginServicesException

Implements
  ISerializable

Inherited Members
  AggregateException.Flatten()
  AggregateException.GetBaseException()
  AggregateException.Handle(Func<Exception, bool>)
  AggregateException.ToString()
  AggregateException.InnerExceptions
  AggregateException.Message
  Exception.GetType()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This exception extends BusinessException to signal business-level failures specific to authentication and login operations.

## Constructors

### LoginServicesException(string)

    public LoginServicesException(string message)

#### Parameters

`message` string

### LoginServicesException(string, Exception)

    public LoginServicesException(string message, Exception exception)

#### Parameters

`message` string
`exception` Exception